- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
WPG2TransformMatrix Class Reference

`#include <WPG2Parser.h>`

## Public Member Functions
| WPG2TransformMatrix ()
void | transform (long &x, long &y) const
::librevenge::RVNGPropertyList | transformPoint (const ::librevenge::RVNGPropertyList &p) const
::librevenge::RVNGPropertyList | transformRect (const ::librevenge::RVNGPropertyList &r) const
WPG2TransformMatrix & | transformBy (const WPG2TransformMatrix &m)

## Public Attributes
double | element [3][3]

## Constructor & Destructor Documentation

WPG2TransformMatrix::WPG2TransformMatrix | ( |  | ) |
| inline

## Member Function Documentation

void WPG2TransformMatrix::transform | ( | long & | x,
|  | long & | y
| ) |  | const
| inline

WPG2TransformMatrix& WPG2TransformMatrix::transformBy | ( | const WPG2TransformMatrix & | m | ) |
| inline

Referenced by WPG2Parser::handlePolycurve(), and WPG2Parser::handlePolyline().

::librevenge::RVNGPropertyList WPG2TransformMatrix::transformPoint | ( | const ::librevenge::RVNGPropertyList & | p | ) | const
| inline

::librevenge::RVNGPropertyList WPG2TransformMatrix::transformRect | ( | const ::librevenge::RVNGPropertyList & | r | ) | const
| inline

## Member Data Documentation

double WPG2TransformMatrix::element[3][3]

Referenced by WPG2Parser::parseCharacterization(), transform(), transformBy(), transformPoint(), transformRect(), and WPG2TransformMatrix().

The documentation for this class was generated from the following file:

- WPG2Parser.h